import { Override, Animatable, Data } from "framer";

// let backgroundColor = "#66BB66";
const colorValue = Animatable("#66BB66");

export const ChangeColorOnTap: Override = () => {
  return {
    background: colorValue,
    onTap() {
      colorValue.set("red");
      console.log(colorValue);
    }
  };
};

const data = Data({ colorValue: "#66BB66" });

export const ChangeColorOnTap2: Override = () => {
  return {
    background: data.colorValue,
    onTap() {
      // props.background = "red";
      // console.log(props);
      // console.log(this.background);
      data.colorValue = "red";
      console.log(data.colorValue);
    }
  };
};

export const ChangeColorOnTap3: Override = () => {
  let backgroundColor = "#66BB66";
  return {
    background: backgroundColor,
    onTap() {
      console.log(backgroundColor);
      backgroundColor = "red";
      console.log(backgroundColor);
    }
  };
};
