import { Override, Animatable } from "framer";

export const ChangeColorOnTap: Override = () => {
  const colorValue = Animatable("#66BB66");

  return {
    background: colorValue,
    onTap() {
      colorValue.set("red");
    }
  };
};
