import { Override, Animatable, animate } from "framer";

export const AnimateColorOnTap: Override = () => {
  const colorValue = Animatable("#66BB66");

  return {
    background: colorValue,
    onTap() {
      animate(colorValue, "red");
    }
  };
};
