import { Override, Animatable, animate } from "framer";

const colorValue = Animatable("#66BB66");

export const AnimateColor: Override = () => {
  return {
    background: colorValue,
    onTap() {
      animate(colorValue, "red");
    }
  };
};
