// import { Override } from "framer";

// export const ChangeColor: Override = () => {
//   return {
//     background: "red"
//   };
// };

// import { Override, Animatable } from "framer";

// const data = Data({ scale: Animatable(1) });

// const pulse = async () => {
//   await animate(data.scale, 2).finished;
//   await animate(data.scale, 1).finished;
//   pulse();
// };

// export const AnimatedElement: Override = props => {
//   pulse();
//   return {
//     scale: data.scale
//   };
// };

import { Override, Animatable, animate } from "framer";

const colorValue = Animatable("#66BB66");

export const AnimateColor: Override = () => {
  animate(colorValue, "red");
  return {
    background: colorValue
  };
};
