import { Data, animate, Override, Animatable } from "framer";

// const data = Data({
//   colorValue: Animatable("#ccc")
// });

const scaleValue = Animatable(1);

export const Scale: Override = () => {
  return {
    scale: scaleValue,
    onTap() {
      scaleValue.set(0.6);
      animate.spring(scaleValue, 1);
      animate.ease(scaleValue, 2);
    }
  };
};

const colorValue = Animatable("#66BB66");

export const AnimateColor: Override = () => {
  return {
    background: colorValue,
    onTap() {
      animate(colorValue, "#fff");
    }
  };
};
